<?php

namespace Path\pathArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfFeeData2 pathArrayType
 * @package Path
 * @subpackage Arrays
 */
class PathArrayOfFeeData2 extends AbstractStructArrayBase
{
    /**
     * The FeeData2
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \Path\pathStructType\PathFeeData2[]
     */
    public $FeeData2;
    /**
     * Constructor method for ArrayOfFeeData2
     * @uses PathArrayOfFeeData2::setFeeData2()
     * @param \Path\pathStructType\PathFeeData2[] $feeData2
     */
    public function __construct(array $feeData2 = array())
    {
        $this
            ->setFeeData2($feeData2);
    }
    /**
     * Get FeeData2 value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \Path\pathStructType\PathFeeData2[]|null
     */
    public function getFeeData2()
    {
        return isset($this->FeeData2) ? $this->FeeData2 : null;
    }
    /**
     * This method is responsible for validating the values passed to the setFeeData2 method
     * This method is willingly generated in order to preserve the one-line inline validation within the setFeeData2 method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateFeeData2ForArrayConstraintsFromSetFeeData2(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfFeeData2FeeData2Item) {
            // validation for constraint: itemType
            if (!$arrayOfFeeData2FeeData2Item instanceof \Path\pathStructType\PathFeeData2) {
                $invalidValues[] = is_object($arrayOfFeeData2FeeData2Item) ? get_class($arrayOfFeeData2FeeData2Item) : sprintf('%s(%s)', gettype($arrayOfFeeData2FeeData2Item), var_export($arrayOfFeeData2FeeData2Item, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The FeeData2 property can only contain items of type \Path\pathStructType\PathFeeData2, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set FeeData2 value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \Path\pathStructType\PathFeeData2[] $feeData2
     * @return \Path\pathArrayType\PathArrayOfFeeData2
     */
    public function setFeeData2(array $feeData2 = array())
    {
        // validation for constraint: array
        if ('' !== ($feeData2ArrayErrorMessage = self::validateFeeData2ForArrayConstraintsFromSetFeeData2($feeData2))) {
            throw new \InvalidArgumentException($feeData2ArrayErrorMessage, __LINE__);
        }
        if (is_null($feeData2) || (is_array($feeData2) && empty($feeData2))) {
            unset($this->FeeData2);
        } else {
            $this->FeeData2 = $feeData2;
        }
        return $this;
    }
    /**
     * Add item to FeeData2 value
     * @throws \InvalidArgumentException
     * @param \Path\pathStructType\PathFeeData2 $item
     * @return \Path\pathArrayType\PathArrayOfFeeData2
     */
    public function addToFeeData2(\Path\pathStructType\PathFeeData2 $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \Path\pathStructType\PathFeeData2) {
            throw new \InvalidArgumentException(sprintf('The FeeData2 property can only contain items of type \Path\pathStructType\PathFeeData2, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->FeeData2[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \Path\pathStructType\PathFeeData2|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \Path\pathStructType\PathFeeData2|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \Path\pathStructType\PathFeeData2|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \Path\pathStructType\PathFeeData2|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \Path\pathStructType\PathFeeData2|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string FeeData2
     */
    public function getAttributeName()
    {
        return 'FeeData2';
    }
}
