<?php

namespace Path\pathArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfLoanKeyValuePair1 pathArrayType
 * @package Path
 * @subpackage Arrays
 */
class PathArrayOfLoanKeyValuePair1 extends AbstractStructArrayBase
{
    /**
     * The LoanKeyValuePair
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \Path\pathStructType\PathLoanKeyValuePair[]
     */
    public $LoanKeyValuePair;
    /**
     * Constructor method for ArrayOfLoanKeyValuePair1
     * @uses PathArrayOfLoanKeyValuePair1::setLoanKeyValuePair()
     * @param \Path\pathStructType\PathLoanKeyValuePair[] $loanKeyValuePair
     */
    public function __construct(array $loanKeyValuePair = array())
    {
        $this
            ->setLoanKeyValuePair($loanKeyValuePair);
    }
    /**
     * Get LoanKeyValuePair value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \Path\pathStructType\PathLoanKeyValuePair[]|null
     */
    public function getLoanKeyValuePair()
    {
        return isset($this->LoanKeyValuePair) ? $this->LoanKeyValuePair : null;
    }
    /**
     * This method is responsible for validating the values passed to the setLoanKeyValuePair method
     * This method is willingly generated in order to preserve the one-line inline validation within the setLoanKeyValuePair method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateLoanKeyValuePairForArrayConstraintsFromSetLoanKeyValuePair(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfLoanKeyValuePair1LoanKeyValuePairItem) {
            // validation for constraint: itemType
            if (!$arrayOfLoanKeyValuePair1LoanKeyValuePairItem instanceof \Path\pathStructType\PathLoanKeyValuePair) {
                $invalidValues[] = is_object($arrayOfLoanKeyValuePair1LoanKeyValuePairItem) ? get_class($arrayOfLoanKeyValuePair1LoanKeyValuePairItem) : sprintf('%s(%s)', gettype($arrayOfLoanKeyValuePair1LoanKeyValuePairItem), var_export($arrayOfLoanKeyValuePair1LoanKeyValuePairItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The LoanKeyValuePair property can only contain items of type \Path\pathStructType\PathLoanKeyValuePair, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set LoanKeyValuePair value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \Path\pathStructType\PathLoanKeyValuePair[] $loanKeyValuePair
     * @return \Path\pathArrayType\PathArrayOfLoanKeyValuePair1
     */
    public function setLoanKeyValuePair(array $loanKeyValuePair = array())
    {
        // validation for constraint: array
        if ('' !== ($loanKeyValuePairArrayErrorMessage = self::validateLoanKeyValuePairForArrayConstraintsFromSetLoanKeyValuePair($loanKeyValuePair))) {
            throw new \InvalidArgumentException($loanKeyValuePairArrayErrorMessage, __LINE__);
        }
        if (is_null($loanKeyValuePair) || (is_array($loanKeyValuePair) && empty($loanKeyValuePair))) {
            unset($this->LoanKeyValuePair);
        } else {
            $this->LoanKeyValuePair = $loanKeyValuePair;
        }
        return $this;
    }
    /**
     * Add item to LoanKeyValuePair value
     * @throws \InvalidArgumentException
     * @param \Path\pathStructType\PathLoanKeyValuePair $item
     * @return \Path\pathArrayType\PathArrayOfLoanKeyValuePair1
     */
    public function addToLoanKeyValuePair(\Path\pathStructType\PathLoanKeyValuePair $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \Path\pathStructType\PathLoanKeyValuePair) {
            throw new \InvalidArgumentException(sprintf('The LoanKeyValuePair property can only contain items of type \Path\pathStructType\PathLoanKeyValuePair, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->LoanKeyValuePair[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \Path\pathStructType\PathLoanKeyValuePair|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \Path\pathStructType\PathLoanKeyValuePair|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \Path\pathStructType\PathLoanKeyValuePair|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \Path\pathStructType\PathLoanKeyValuePair|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \Path\pathStructType\PathLoanKeyValuePair|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string LoanKeyValuePair
     */
    public function getAttributeName()
    {
        return 'LoanKeyValuePair';
    }
}
