<?php

namespace Path\pathStructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AcctGetResult pathStructType
 * @package Path
 * @subpackage Structs
 */
class PathAcctGetResult extends AbstractStructBase
{
    /**
     * The vendorid
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $vendorid;
    /**
     * The accountaccesstoken
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $accountaccesstoken;
    /**
     * The vendorpw
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $vendorpw;
    /**
     * The requestid
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $requestid;
    /**
     * Constructor method for AcctGetResult
     * @uses PathAcctGetResult::setVendorid()
     * @uses PathAcctGetResult::setAccountaccesstoken()
     * @uses PathAcctGetResult::setVendorpw()
     * @uses PathAcctGetResult::setRequestid()
     * @param string $vendorid
     * @param string $accountaccesstoken
     * @param string $vendorpw
     * @param string $requestid
     */
    public function __construct($vendorid = null, $accountaccesstoken = null, $vendorpw = null, $requestid = null)
    {
        $this
            ->setVendorid($vendorid)
            ->setAccountaccesstoken($accountaccesstoken)
            ->setVendorpw($vendorpw)
            ->setRequestid($requestid);
    }
    /**
     * Get vendorid value
     * @return string|null
     */
    public function getVendorid()
    {
        return $this->vendorid;
    }
    /**
     * Set vendorid value
     * @param string $vendorid
     * @return \Path\pathStructType\PathAcctGetResult
     */
    public function setVendorid($vendorid = null)
    {
        // validation for constraint: string
        if (!is_null($vendorid) && !is_string($vendorid)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($vendorid, true), gettype($vendorid)), __LINE__);
        }
        $this->vendorid = $vendorid;
        return $this;
    }
    /**
     * Get accountaccesstoken value
     * @return string|null
     */
    public function getAccountaccesstoken()
    {
        return $this->accountaccesstoken;
    }
    /**
     * Set accountaccesstoken value
     * @param string $accountaccesstoken
     * @return \Path\pathStructType\PathAcctGetResult
     */
    public function setAccountaccesstoken($accountaccesstoken = null)
    {
        // validation for constraint: string
        if (!is_null($accountaccesstoken) && !is_string($accountaccesstoken)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($accountaccesstoken, true), gettype($accountaccesstoken)), __LINE__);
        }
        $this->accountaccesstoken = $accountaccesstoken;
        return $this;
    }
    /**
     * Get vendorpw value
     * @return string|null
     */
    public function getVendorpw()
    {
        return $this->vendorpw;
    }
    /**
     * Set vendorpw value
     * @param string $vendorpw
     * @return \Path\pathStructType\PathAcctGetResult
     */
    public function setVendorpw($vendorpw = null)
    {
        // validation for constraint: string
        if (!is_null($vendorpw) && !is_string($vendorpw)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($vendorpw, true), gettype($vendorpw)), __LINE__);
        }
        $this->vendorpw = $vendorpw;
        return $this;
    }
    /**
     * Get requestid value
     * @return string|null
     */
    public function getRequestid()
    {
        return $this->requestid;
    }
    /**
     * Set requestid value
     * @param string $requestid
     * @return \Path\pathStructType\PathAcctGetResult
     */
    public function setRequestid($requestid = null)
    {
        // validation for constraint: string
        if (!is_null($requestid) && !is_string($requestid)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($requestid, true), gettype($requestid)), __LINE__);
        }
        $this->requestid = $requestid;
        return $this;
    }
}
