<?php

namespace Path\pathStructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AcctGetUserInfo pathStructType
 * @package Path
 * @subpackage Structs
 */
class PathAcctGetUserInfo extends AbstractStructBase
{
    /**
     * The vendorid
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $vendorid;
    /**
     * The accountaccesstoken
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $accountaccesstoken;
    /**
     * The vendorpw
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $vendorpw;
    /**
     * The usertoquery
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $usertoquery;
    /**
     * Constructor method for AcctGetUserInfo
     * @uses PathAcctGetUserInfo::setVendorid()
     * @uses PathAcctGetUserInfo::setAccountaccesstoken()
     * @uses PathAcctGetUserInfo::setVendorpw()
     * @uses PathAcctGetUserInfo::setUsertoquery()
     * @param string $vendorid
     * @param string $accountaccesstoken
     * @param string $vendorpw
     * @param string $usertoquery
     */
    public function __construct($vendorid = null, $accountaccesstoken = null, $vendorpw = null, $usertoquery = null)
    {
        $this
            ->setVendorid($vendorid)
            ->setAccountaccesstoken($accountaccesstoken)
            ->setVendorpw($vendorpw)
            ->setUsertoquery($usertoquery);
    }
    /**
     * Get vendorid value
     * @return string|null
     */
    public function getVendorid()
    {
        return $this->vendorid;
    }
    /**
     * Set vendorid value
     * @param string $vendorid
     * @return \Path\pathStructType\PathAcctGetUserInfo
     */
    public function setVendorid($vendorid = null)
    {
        // validation for constraint: string
        if (!is_null($vendorid) && !is_string($vendorid)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($vendorid, true), gettype($vendorid)), __LINE__);
        }
        $this->vendorid = $vendorid;
        return $this;
    }
    /**
     * Get accountaccesstoken value
     * @return string|null
     */
    public function getAccountaccesstoken()
    {
        return $this->accountaccesstoken;
    }
    /**
     * Set accountaccesstoken value
     * @param string $accountaccesstoken
     * @return \Path\pathStructType\PathAcctGetUserInfo
     */
    public function setAccountaccesstoken($accountaccesstoken = null)
    {
        // validation for constraint: string
        if (!is_null($accountaccesstoken) && !is_string($accountaccesstoken)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($accountaccesstoken, true), gettype($accountaccesstoken)), __LINE__);
        }
        $this->accountaccesstoken = $accountaccesstoken;
        return $this;
    }
    /**
     * Get vendorpw value
     * @return string|null
     */
    public function getVendorpw()
    {
        return $this->vendorpw;
    }
    /**
     * Set vendorpw value
     * @param string $vendorpw
     * @return \Path\pathStructType\PathAcctGetUserInfo
     */
    public function setVendorpw($vendorpw = null)
    {
        // validation for constraint: string
        if (!is_null($vendorpw) && !is_string($vendorpw)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($vendorpw, true), gettype($vendorpw)), __LINE__);
        }
        $this->vendorpw = $vendorpw;
        return $this;
    }
    /**
     * Get usertoquery value
     * @return string|null
     */
    public function getUsertoquery()
    {
        return $this->usertoquery;
    }
    /**
     * Set usertoquery value
     * @param string $usertoquery
     * @return \Path\pathStructType\PathAcctGetUserInfo
     */
    public function setUsertoquery($usertoquery = null)
    {
        // validation for constraint: string
        if (!is_null($usertoquery) && !is_string($usertoquery)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($usertoquery, true), gettype($usertoquery)), __LINE__);
        }
        $this->usertoquery = $usertoquery;
        return $this;
    }
}
