<?php

namespace Path\pathStructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddNewLoanFeeData2 pathStructType
 * @package Path
 * @subpackage Structs
 */
class PathAddNewLoanFeeData2 extends AbstractStructBase
{
    /**
     * The vendorid
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $vendorid;
    /**
     * The apitoken
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $apitoken;
    /**
     * The vendorpw
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $vendorpw;
    /**
     * The feedata
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Path\pathStructType\PathFeeData2
     */
    public $feedata;
    /**
     * Constructor method for AddNewLoanFeeData2
     * @uses PathAddNewLoanFeeData2::setVendorid()
     * @uses PathAddNewLoanFeeData2::setApitoken()
     * @uses PathAddNewLoanFeeData2::setVendorpw()
     * @uses PathAddNewLoanFeeData2::setFeedata()
     * @param string $vendorid
     * @param string $apitoken
     * @param string $vendorpw
     * @param \Path\pathStructType\PathFeeData2 $feedata
     */
    public function __construct($vendorid = null, $apitoken = null, $vendorpw = null, \Path\pathStructType\PathFeeData2 $feedata = null)
    {
        $this
            ->setVendorid($vendorid)
            ->setApitoken($apitoken)
            ->setVendorpw($vendorpw)
            ->setFeedata($feedata);
    }
    /**
     * Get vendorid value
     * @return string|null
     */
    public function getVendorid()
    {
        return $this->vendorid;
    }
    /**
     * Set vendorid value
     * @param string $vendorid
     * @return \Path\pathStructType\PathAddNewLoanFeeData2
     */
    public function setVendorid($vendorid = null)
    {
        // validation for constraint: string
        if (!is_null($vendorid) && !is_string($vendorid)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($vendorid, true), gettype($vendorid)), __LINE__);
        }
        $this->vendorid = $vendorid;
        return $this;
    }
    /**
     * Get apitoken value
     * @return string|null
     */
    public function getApitoken()
    {
        return $this->apitoken;
    }
    /**
     * Set apitoken value
     * @param string $apitoken
     * @return \Path\pathStructType\PathAddNewLoanFeeData2
     */
    public function setApitoken($apitoken = null)
    {
        // validation for constraint: string
        if (!is_null($apitoken) && !is_string($apitoken)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($apitoken, true), gettype($apitoken)), __LINE__);
        }
        $this->apitoken = $apitoken;
        return $this;
    }
    /**
     * Get vendorpw value
     * @return string|null
     */
    public function getVendorpw()
    {
        return $this->vendorpw;
    }
    /**
     * Set vendorpw value
     * @param string $vendorpw
     * @return \Path\pathStructType\PathAddNewLoanFeeData2
     */
    public function setVendorpw($vendorpw = null)
    {
        // validation for constraint: string
        if (!is_null($vendorpw) && !is_string($vendorpw)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($vendorpw, true), gettype($vendorpw)), __LINE__);
        }
        $this->vendorpw = $vendorpw;
        return $this;
    }
    /**
     * Get feedata value
     * @return \Path\pathStructType\PathFeeData2|null
     */
    public function getFeedata()
    {
        return $this->feedata;
    }
    /**
     * Set feedata value
     * @param \Path\pathStructType\PathFeeData2 $feedata
     * @return \Path\pathStructType\PathAddNewLoanFeeData2
     */
    public function setFeedata(\Path\pathStructType\PathFeeData2 $feedata = null)
    {
        $this->feedata = $feedata;
        return $this;
    }
}
