<?php

namespace Path\pathStructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreateNewLoanWithXML pathStructType
 * @package Path
 * @subpackage Structs
 */
class PathCreateNewLoanWithXML extends AbstractStructBase
{
    /**
     * The roleid
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $roleid;
    /**
     * The ouid
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $ouid;
    /**
     * The insandbox
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $insandbox;
    /**
     * The xmlformat
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $xmlformat;
    /**
     * The vendorid
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $vendorid;
    /**
     * The accountaccesstoken
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $accountaccesstoken;
    /**
     * The vendorpw
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $vendorpw;
    /**
     * The creatinguser
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $creatinguser;
    /**
     * The XMLstring
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $XMLstring;
    /**
     * Constructor method for CreateNewLoanWithXML
     * @uses PathCreateNewLoanWithXML::setRoleid()
     * @uses PathCreateNewLoanWithXML::setOuid()
     * @uses PathCreateNewLoanWithXML::setInsandbox()
     * @uses PathCreateNewLoanWithXML::setXmlformat()
     * @uses PathCreateNewLoanWithXML::setVendorid()
     * @uses PathCreateNewLoanWithXML::setAccountaccesstoken()
     * @uses PathCreateNewLoanWithXML::setVendorpw()
     * @uses PathCreateNewLoanWithXML::setCreatinguser()
     * @uses PathCreateNewLoanWithXML::setXMLstring()
     * @param int $roleid
     * @param int $ouid
     * @param bool $insandbox
     * @param int $xmlformat
     * @param string $vendorid
     * @param string $accountaccesstoken
     * @param string $vendorpw
     * @param string $creatinguser
     * @param string $xMLstring
     */
    public function __construct($roleid = null, $ouid = null, $insandbox = null, $xmlformat = null, $vendorid = null, $accountaccesstoken = null, $vendorpw = null, $creatinguser = null, $xMLstring = null)
    {
        $this
            ->setRoleid($roleid)
            ->setOuid($ouid)
            ->setInsandbox($insandbox)
            ->setXmlformat($xmlformat)
            ->setVendorid($vendorid)
            ->setAccountaccesstoken($accountaccesstoken)
            ->setVendorpw($vendorpw)
            ->setCreatinguser($creatinguser)
            ->setXMLstring($xMLstring);
    }
    /**
     * Get roleid value
     * @return int
     */
    public function getRoleid()
    {
        return $this->roleid;
    }
    /**
     * Set roleid value
     * @param int $roleid
     * @return \Path\pathStructType\PathCreateNewLoanWithXML
     */
    public function setRoleid($roleid = null)
    {
        // validation for constraint: int
        if (!is_null($roleid) && !(is_int($roleid) || ctype_digit($roleid))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($roleid, true), gettype($roleid)), __LINE__);
        }
        $this->roleid = $roleid;
        return $this;
    }
    /**
     * Get ouid value
     * @return int
     */
    public function getOuid()
    {
        return $this->ouid;
    }
    /**
     * Set ouid value
     * @param int $ouid
     * @return \Path\pathStructType\PathCreateNewLoanWithXML
     */
    public function setOuid($ouid = null)
    {
        // validation for constraint: int
        if (!is_null($ouid) && !(is_int($ouid) || ctype_digit($ouid))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($ouid, true), gettype($ouid)), __LINE__);
        }
        $this->ouid = $ouid;
        return $this;
    }
    /**
     * Get insandbox value
     * @return bool
     */
    public function getInsandbox()
    {
        return $this->insandbox;
    }
    /**
     * Set insandbox value
     * @param bool $insandbox
     * @return \Path\pathStructType\PathCreateNewLoanWithXML
     */
    public function setInsandbox($insandbox = null)
    {
        // validation for constraint: boolean
        if (!is_null($insandbox) && !is_bool($insandbox)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($insandbox, true), gettype($insandbox)), __LINE__);
        }
        $this->insandbox = $insandbox;
        return $this;
    }
    /**
     * Get xmlformat value
     * @return int
     */
    public function getXmlformat()
    {
        return $this->xmlformat;
    }
    /**
     * Set xmlformat value
     * @param int $xmlformat
     * @return \Path\pathStructType\PathCreateNewLoanWithXML
     */
    public function setXmlformat($xmlformat = null)
    {
        // validation for constraint: int
        if (!is_null($xmlformat) && !(is_int($xmlformat) || ctype_digit($xmlformat))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($xmlformat, true), gettype($xmlformat)), __LINE__);
        }
        $this->xmlformat = $xmlformat;
        return $this;
    }
    /**
     * Get vendorid value
     * @return string|null
     */
    public function getVendorid()
    {
        return $this->vendorid;
    }
    /**
     * Set vendorid value
     * @param string $vendorid
     * @return \Path\pathStructType\PathCreateNewLoanWithXML
     */
    public function setVendorid($vendorid = null)
    {
        // validation for constraint: string
        if (!is_null($vendorid) && !is_string($vendorid)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($vendorid, true), gettype($vendorid)), __LINE__);
        }
        $this->vendorid = $vendorid;
        return $this;
    }
    /**
     * Get accountaccesstoken value
     * @return string|null
     */
    public function getAccountaccesstoken()
    {
        return $this->accountaccesstoken;
    }
    /**
     * Set accountaccesstoken value
     * @param string $accountaccesstoken
     * @return \Path\pathStructType\PathCreateNewLoanWithXML
     */
    public function setAccountaccesstoken($accountaccesstoken = null)
    {
        // validation for constraint: string
        if (!is_null($accountaccesstoken) && !is_string($accountaccesstoken)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($accountaccesstoken, true), gettype($accountaccesstoken)), __LINE__);
        }
        $this->accountaccesstoken = $accountaccesstoken;
        return $this;
    }
    /**
     * Get vendorpw value
     * @return string|null
     */
    public function getVendorpw()
    {
        return $this->vendorpw;
    }
    /**
     * Set vendorpw value
     * @param string $vendorpw
     * @return \Path\pathStructType\PathCreateNewLoanWithXML
     */
    public function setVendorpw($vendorpw = null)
    {
        // validation for constraint: string
        if (!is_null($vendorpw) && !is_string($vendorpw)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($vendorpw, true), gettype($vendorpw)), __LINE__);
        }
        $this->vendorpw = $vendorpw;
        return $this;
    }
    /**
     * Get creatinguser value
     * @return string|null
     */
    public function getCreatinguser()
    {
        return $this->creatinguser;
    }
    /**
     * Set creatinguser value
     * @param string $creatinguser
     * @return \Path\pathStructType\PathCreateNewLoanWithXML
     */
    public function setCreatinguser($creatinguser = null)
    {
        // validation for constraint: string
        if (!is_null($creatinguser) && !is_string($creatinguser)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($creatinguser, true), gettype($creatinguser)), __LINE__);
        }
        $this->creatinguser = $creatinguser;
        return $this;
    }
    /**
     * Get XMLstring value
     * @return string|null
     */
    public function getXMLstring()
    {
        return $this->XMLstring;
    }
    /**
     * Set XMLstring value
     * @param string $xMLstring
     * @return \Path\pathStructType\PathCreateNewLoanWithXML
     */
    public function setXMLstring($xMLstring = null)
    {
        // validation for constraint: string
        if (!is_null($xMLstring) && !is_string($xMLstring)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($xMLstring, true), gettype($xMLstring)), __LINE__);
        }
        $this->XMLstring = $xMLstring;
        return $this;
    }
}
