<?php

namespace Path\pathStructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ReportDataSet pathStructType
 * @package Path
 * @subpackage Structs
 */
class PathReportDataSet extends AbstractStructBase
{
    /**
     * The HeaderNames
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Path\pathArrayType\PathArrayOfString
     */
    public $HeaderNames;
    /**
     * The HeaderSystemTypeNames
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Path\pathArrayType\PathArrayOfString
     */
    public $HeaderSystemTypeNames;
    /**
     * The LoanIDs
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Path\pathArrayType\PathArrayOfString
     */
    public $LoanIDs;
    /**
     * The Records
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Path\pathArrayType\PathArrayOfArrayOfString
     */
    public $Records;
    /**
     * Constructor method for ReportDataSet
     * @uses PathReportDataSet::setHeaderNames()
     * @uses PathReportDataSet::setHeaderSystemTypeNames()
     * @uses PathReportDataSet::setLoanIDs()
     * @uses PathReportDataSet::setRecords()
     * @param \Path\pathArrayType\PathArrayOfString $headerNames
     * @param \Path\pathArrayType\PathArrayOfString $headerSystemTypeNames
     * @param \Path\pathArrayType\PathArrayOfString $loanIDs
     * @param \Path\pathArrayType\PathArrayOfArrayOfString $records
     */
    public function __construct(\Path\pathArrayType\PathArrayOfString $headerNames = null, \Path\pathArrayType\PathArrayOfString $headerSystemTypeNames = null, \Path\pathArrayType\PathArrayOfString $loanIDs = null, \Path\pathArrayType\PathArrayOfArrayOfString $records = null)
    {
        $this
            ->setHeaderNames($headerNames)
            ->setHeaderSystemTypeNames($headerSystemTypeNames)
            ->setLoanIDs($loanIDs)
            ->setRecords($records);
    }
    /**
     * Get HeaderNames value
     * @return \Path\pathArrayType\PathArrayOfString|null
     */
    public function getHeaderNames()
    {
        return $this->HeaderNames;
    }
    /**
     * Set HeaderNames value
     * @param \Path\pathArrayType\PathArrayOfString $headerNames
     * @return \Path\pathStructType\PathReportDataSet
     */
    public function setHeaderNames(\Path\pathArrayType\PathArrayOfString $headerNames = null)
    {
        $this->HeaderNames = $headerNames;
        return $this;
    }
    /**
     * Get HeaderSystemTypeNames value
     * @return \Path\pathArrayType\PathArrayOfString|null
     */
    public function getHeaderSystemTypeNames()
    {
        return $this->HeaderSystemTypeNames;
    }
    /**
     * Set HeaderSystemTypeNames value
     * @param \Path\pathArrayType\PathArrayOfString $headerSystemTypeNames
     * @return \Path\pathStructType\PathReportDataSet
     */
    public function setHeaderSystemTypeNames(\Path\pathArrayType\PathArrayOfString $headerSystemTypeNames = null)
    {
        $this->HeaderSystemTypeNames = $headerSystemTypeNames;
        return $this;
    }
    /**
     * Get LoanIDs value
     * @return \Path\pathArrayType\PathArrayOfString|null
     */
    public function getLoanIDs()
    {
        return $this->LoanIDs;
    }
    /**
     * Set LoanIDs value
     * @param \Path\pathArrayType\PathArrayOfString $loanIDs
     * @return \Path\pathStructType\PathReportDataSet
     */
    public function setLoanIDs(\Path\pathArrayType\PathArrayOfString $loanIDs = null)
    {
        $this->LoanIDs = $loanIDs;
        return $this;
    }
    /**
     * Get Records value
     * @return \Path\pathArrayType\PathArrayOfArrayOfString|null
     */
    public function getRecords()
    {
        return $this->Records;
    }
    /**
     * Set Records value
     * @param \Path\pathArrayType\PathArrayOfArrayOfString $records
     * @return \Path\pathStructType\PathReportDataSet
     */
    public function setRecords(\Path\pathArrayType\PathArrayOfArrayOfString $records = null)
    {
        $this->Records = $records;
        return $this;
    }
}
