<?php

namespace Path\pathStructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RoleOUAccessInfo pathStructType
 * @package Path
 * @subpackage Structs
 */
class PathRoleOUAccessInfo extends AbstractStructBase
{
    /**
     * The Role
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Path\pathStructType\PathRoleInfo
     */
    public $Role;
    /**
     * The OUs
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Path\pathArrayType\PathArrayOfOUInfo
     */
    public $OUs;
    /**
     * Constructor method for RoleOUAccessInfo
     * @uses PathRoleOUAccessInfo::setRole()
     * @uses PathRoleOUAccessInfo::setOUs()
     * @param \Path\pathStructType\PathRoleInfo $role
     * @param \Path\pathArrayType\PathArrayOfOUInfo $oUs
     */
    public function __construct(\Path\pathStructType\PathRoleInfo $role = null, \Path\pathArrayType\PathArrayOfOUInfo $oUs = null)
    {
        $this
            ->setRole($role)
            ->setOUs($oUs);
    }
    /**
     * Get Role value
     * @return \Path\pathStructType\PathRoleInfo|null
     */
    public function getRole()
    {
        return $this->Role;
    }
    /**
     * Set Role value
     * @param \Path\pathStructType\PathRoleInfo $role
     * @return \Path\pathStructType\PathRoleOUAccessInfo
     */
    public function setRole(\Path\pathStructType\PathRoleInfo $role = null)
    {
        $this->Role = $role;
        return $this;
    }
    /**
     * Get OUs value
     * @return \Path\pathArrayType\PathArrayOfOUInfo|null
     */
    public function getOUs()
    {
        return $this->OUs;
    }
    /**
     * Set OUs value
     * @param \Path\pathArrayType\PathArrayOfOUInfo $oUs
     * @return \Path\pathStructType\PathRoleOUAccessInfo
     */
    public function setOUs(\Path\pathArrayType\PathArrayOfOUInfo $oUs = null)
    {
        $this->OUs = $oUs;
        return $this;
    }
}
